+ date
Mon Jul  8 23:40:24 UTC 2024
+ id
uid=0(root) gid=0(root) groups=0(root)
+ pwd
/build/libcap2
+ apt-get source --only-source libcap2=1:2.44-1
Reading package lists...
NOTICE: 'libcap2' packaging is maintained in the 'Git' version control system at:
https://salsa.debian.org/debian/libcap2.git
Please use:
git clone https://salsa.debian.org/debian/libcap2.git
to retrieve the latest (possibly unreleased) updates to the package.
Need to get 149 kB of source archives.
Get:1 http://deb.debian.org/debian bullseye/main libcap2 1:2.44-1 (dsc) [2179 B]
Get:2 http://deb.debian.org/debian bullseye/main libcap2 1:2.44-1 (tar) [126 kB]
Get:3 http://deb.debian.org/debian bullseye/main libcap2 1:2.44-1 (diff) [21.1 kB]
dpkg-source: info: extracting libcap2 in libcap2-2.44
dpkg-source: info: unpacking libcap2_2.44.orig.tar.xz
dpkg-source: info: unpacking libcap2_2.44-1.debian.tar.xz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: applying ldlibs.patch
dpkg-source: info: applying setcap-error-message.patch
dpkg-source: info: applying Don-t-hardcode-build-flags.patch
dpkg-source: info: applying Hide-private-symbols.patch
dpkg-source: info: applying Filter-out-PIE-flags-when-building-shared-objects.patch
dpkg-source: info: applying Use-DEB_GAIN_ROOT_CMD-for-make-test.patch
dpkg-source: info: applying Make.Rules-Allow-overriding-DYNAMIC.patch
Fetched 149 kB in 0s (356 kB/s)
W: Download is performed unsandboxed as root as file 'libcap2_2.44-1.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ ls -la
total 164
drwxr-xr-x  3 root root   4096 Jul  8 23:40 .
drwxr-xr-x  3 root root   4096 Jul  8 23:40 ..
drwxr-xr-x 15 root root   4096 Jul  8 23:40 libcap2-2.44
-rw-r--r--  1 root root  21116 Oct 14  2020 libcap2_2.44-1.debian.tar.xz
-rw-r--r--  1 root root   2179 Oct 14  2020 libcap2_2.44-1.dsc
-rw-r--r--  1 root root 125568 Oct 14  2020 libcap2_2.44.orig.tar.xz
+ find . -maxdepth 1 -type f
+ sha256sum ./libcap2_2.44.orig.tar.xz ./libcap2_2.44-1.debian.tar.xz ./libcap2_2.44-1.dsc
92188359cd5be86e8e5bd3f6483ac6ce582264f912398937ef763def2205c8e1  ./libcap2_2.44.orig.tar.xz
f612c54d31b44b4f508342a3415f5d51deeffaf939d4b47068909bbb1fd6c0f2  ./libcap2_2.44-1.debian.tar.xz
c356b4239be3c35ef4b7ef5b9f7ea1677da41a68ef9761a8cabc96023076ac83  ./libcap2_2.44-1.dsc
+ find . -maxdepth 1 -name libcap2* -type d
+ cd ./libcap2-2.44
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source libcap2=1:2.44-1
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  autoconf automake autopoint autotools-dev bsdextrautils debhelper
  dh-autoreconf dh-strip-nondeterminism dwz gettext gettext-base gperf
  groff-base indent intltool-debian libarchive-zip-perl libdebhelper-perl
  libelf1 libfile-stripnondeterminism-perl libicu67 libpam0g-dev libpipeline1
  libsigsegv2 libsub-override-perl libtool libuchardet0 libxml2 m4 man-db
  po-debconf
0 upgraded, 30 newly installed, 0 to remove and 0 not upgraded.
Need to get 18.3 MB of archives.
After this operation, 61.7 MB of additional disk space will be used.
Get:1 http://deb.debian.org/debian bullseye/main amd64 bsdextrautils amd64 2.36.1-8+deb11u2 [146 kB]
Get:2 http://deb.debian.org/debian bullseye/main amd64 libuchardet0 amd64 0.0.7-1 [67.8 kB]
Get:3 http://deb.debian.org/debian bullseye/main amd64 groff-base amd64 1.22.4-6 [936 kB]
Get:4 http://deb.debian.org/debian bullseye/main amd64 libpipeline1 amd64 1.5.3-1 [34.3 kB]
Get:5 http://deb.debian.org/debian bullseye/main amd64 man-db amd64 2.9.4-2 [1354 kB]
Get:6 http://deb.debian.org/debian bullseye/main amd64 gettext-base amd64 0.21-4 [175 kB]
Get:7 http://deb.debian.org/debian bullseye/main amd64 libsigsegv2 amd64 2.13-1 [34.8 kB]
Get:8 http://deb.debian.org/debian bullseye/main amd64 m4 amd64 1.4.18-5 [204 kB]
Get:9 http://deb.debian.org/debian bullseye/main amd64 autoconf all 2.69-14 [313 kB]
Get:10 http://deb.debian.org/debian bullseye/main amd64 autotools-dev all 20180224.1+nmu1 [77.1 kB]
Get:11 http://deb.debian.org/debian bullseye/main amd64 automake all 1:1.16.3-2 [814 kB]
Get:12 http://deb.debian.org/debian bullseye/main amd64 autopoint all 0.21-4 [510 kB]
Get:13 http://deb.debian.org/debian bullseye/main amd64 libdebhelper-perl all 13.3.4 [189 kB]
Get:14 http://deb.debian.org/debian bullseye/main amd64 libtool all 2.4.6-15 [513 kB]
Get:15 http://deb.debian.org/debian bullseye/main amd64 dh-autoreconf all 20 [17.1 kB]
Get:16 http://deb.debian.org/debian bullseye/main amd64 libarchive-zip-perl all 1.68-1 [104 kB]
Get:17 http://deb.debian.org/debian bullseye/main amd64 libsub-override-perl all 0.09-2 [10.2 kB]
Get:18 http://deb.debian.org/debian bullseye/main amd64 libfile-stripnondeterminism-perl all 1.12.0-1 [26.3 kB]
Get:19 http://deb.debian.org/debian bullseye/main amd64 dh-strip-nondeterminism all 1.12.0-1 [15.4 kB]
Get:20 http://deb.debian.org/debian bullseye/main amd64 libelf1 amd64 0.183-1 [165 kB]
Get:21 http://deb.debian.org/debian bullseye/main amd64 dwz amd64 0.13+20210201-1 [175 kB]
Get:22 http://deb.debian.org/debian bullseye/main amd64 libicu67 amd64 67.1-7 [8622 kB]
Get:23 http://deb.debian.org/debian bullseye/main amd64 libxml2 amd64 2.9.10+dfsg-6.7+deb11u4 [693 kB]
Get:24 http://deb.debian.org/debian bullseye/main amd64 gettext amd64 0.21-4 [1311 kB]
Get:25 http://deb.debian.org/debian bullseye/main amd64 intltool-debian all 0.35.0+20060710.5 [26.8 kB]
Get:26 http://deb.debian.org/debian bullseye/main amd64 po-debconf all 1.0.21+nmu1 [248 kB]
Get:27 http://deb.debian.org/debian bullseye/main amd64 debhelper all 13.3.4 [1049 kB]
Get:28 http://deb.debian.org/debian bullseye/main amd64 gperf amd64 3.1-1 [147 kB]
Get:29 http://deb.debian.org/debian bullseye/main amd64 indent amd64 2.2.12-1 [127 kB]
Get:30 http://deb.debian.org/debian bullseye/main amd64 libpam0g-dev amd64 1.4.0-9+deb11u1 [191 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 18.3 MB in 0s (37.7 MB/s)
Selecting previously unselected package bsdextrautils.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 16217 files and directories currently installed.)
Preparing to unpack .../00-bsdextrautils_2.36.1-8+deb11u2_amd64.deb ...
Unpacking bsdextrautils (2.36.1-8+deb11u2) ...
Selecting previously unselected package libuchardet0:amd64.
Preparing to unpack .../01-libuchardet0_0.0.7-1_amd64.deb ...
Unpacking libuchardet0:amd64 (0.0.7-1) ...
Selecting previously unselected package groff-base.
Preparing to unpack .../02-groff-base_1.22.4-6_amd64.deb ...
Unpacking groff-base (1.22.4-6) ...
Selecting previously unselected package libpipeline1:amd64.
Preparing to unpack .../03-libpipeline1_1.5.3-1_amd64.deb ...
Unpacking libpipeline1:amd64 (1.5.3-1) ...
Selecting previously unselected package man-db.
Preparing to unpack .../04-man-db_2.9.4-2_amd64.deb ...
Unpacking man-db (2.9.4-2) ...
Selecting previously unselected package gettext-base.
Preparing to unpack .../05-gettext-base_0.21-4_amd64.deb ...
Unpacking gettext-base (0.21-4) ...
Selecting previously unselected package libsigsegv2:amd64.
Preparing to unpack .../06-libsigsegv2_2.13-1_amd64.deb ...
Unpacking libsigsegv2:amd64 (2.13-1) ...
Selecting previously unselected package m4.
Preparing to unpack .../07-m4_1.4.18-5_amd64.deb ...
Unpacking m4 (1.4.18-5) ...
Selecting previously unselected package autoconf.
Preparing to unpack .../08-autoconf_2.69-14_all.deb ...
Unpacking autoconf (2.69-14) ...
Selecting previously unselected package autotools-dev.
Preparing to unpack .../09-autotools-dev_20180224.1+nmu1_all.deb ...
Unpacking autotools-dev (20180224.1+nmu1) ...
Selecting previously unselected package automake.
Preparing to unpack .../10-automake_1%3a1.16.3-2_all.deb ...
Unpacking automake (1:1.16.3-2) ...
Selecting previously unselected package autopoint.
Preparing to unpack .../11-autopoint_0.21-4_all.deb ...
Unpacking autopoint (0.21-4) ...
Selecting previously unselected package libdebhelper-perl.
Preparing to unpack .../12-libdebhelper-perl_13.3.4_all.deb ...
Unpacking libdebhelper-perl (13.3.4) ...
Selecting previously unselected package libtool.
Preparing to unpack .../13-libtool_2.4.6-15_all.deb ...
Unpacking libtool (2.4.6-15) ...
Selecting previously unselected package dh-autoreconf.
Preparing to unpack .../14-dh-autoreconf_20_all.deb ...
Unpacking dh-autoreconf (20) ...
Selecting previously unselected package libarchive-zip-perl.
Preparing to unpack .../15-libarchive-zip-perl_1.68-1_all.deb ...
Unpacking libarchive-zip-perl (1.68-1) ...
Selecting previously unselected package libsub-override-perl.
Preparing to unpack .../16-libsub-override-perl_0.09-2_all.deb ...
Unpacking libsub-override-perl (0.09-2) ...
Selecting previously unselected package libfile-stripnondeterminism-perl.
Preparing to unpack .../17-libfile-stripnondeterminism-perl_1.12.0-1_all.deb ...
Unpacking libfile-stripnondeterminism-perl (1.12.0-1) ...
Selecting previously unselected package dh-strip-nondeterminism.
Preparing to unpack .../18-dh-strip-nondeterminism_1.12.0-1_all.deb ...
Unpacking dh-strip-nondeterminism (1.12.0-1) ...
Selecting previously unselected package libelf1:amd64.
Preparing to unpack .../19-libelf1_0.183-1_amd64.deb ...
Unpacking libelf1:amd64 (0.183-1) ...
Selecting previously unselected package dwz.
Preparing to unpack .../20-dwz_0.13+20210201-1_amd64.deb ...
Unpacking dwz (0.13+20210201-1) ...
Selecting previously unselected package libicu67:amd64.
Preparing to unpack .../21-libicu67_67.1-7_amd64.deb ...
Unpacking libicu67:amd64 (67.1-7) ...
Selecting previously unselected package libxml2:amd64.
Preparing to unpack .../22-libxml2_2.9.10+dfsg-6.7+deb11u4_amd64.deb ...
Unpacking libxml2:amd64 (2.9.10+dfsg-6.7+deb11u4) ...
Selecting previously unselected package gettext.
Preparing to unpack .../23-gettext_0.21-4_amd64.deb ...
Unpacking gettext (0.21-4) ...
Selecting previously unselected package intltool-debian.
Preparing to unpack .../24-intltool-debian_0.35.0+20060710.5_all.deb ...
Unpacking intltool-debian (0.35.0+20060710.5) ...
Selecting previously unselected package po-debconf.
Preparing to unpack .../25-po-debconf_1.0.21+nmu1_all.deb ...
Unpacking po-debconf (1.0.21+nmu1) ...
Selecting previously unselected package debhelper.
Preparing to unpack .../26-debhelper_13.3.4_all.deb ...
Unpacking debhelper (13.3.4) ...
Selecting previously unselected package gperf.
Preparing to unpack .../27-gperf_3.1-1_amd64.deb ...
Unpacking gperf (3.1-1) ...
Selecting previously unselected package indent.
Preparing to unpack .../28-indent_2.2.12-1_amd64.deb ...
Unpacking indent (2.2.12-1) ...
Selecting previously unselected package libpam0g-dev:amd64.
Preparing to unpack .../29-libpam0g-dev_1.4.0-9+deb11u1_amd64.deb ...
Unpacking libpam0g-dev:amd64 (1.4.0-9+deb11u1) ...
Setting up libpipeline1:amd64 (1.5.3-1) ...
Setting up bsdextrautils (2.36.1-8+deb11u2) ...
update-alternatives: using /usr/bin/write.ul to provide /usr/bin/write (write) in auto mode
update-alternatives: warning: skip creation of /usr/share/man/man1/write.1.gz because associated file /usr/share/man/man1/write.ul.1.gz (of link group write) doesn't exist
Setting up libicu67:amd64 (67.1-7) ...
Setting up libpam0g-dev:amd64 (1.4.0-9+deb11u1) ...
Setting up libarchive-zip-perl (1.68-1) ...
Setting up libdebhelper-perl (13.3.4) ...
Setting up gettext-base (0.21-4) ...
Setting up gperf (3.1-1) ...
Setting up autotools-dev (20180224.1+nmu1) ...
Setting up libsigsegv2:amd64 (2.13-1) ...
Setting up autopoint (0.21-4) ...
Setting up libuchardet0:amd64 (0.0.7-1) ...
Setting up libsub-override-perl (0.09-2) ...
Setting up indent (2.2.12-1) ...
Setting up libelf1:amd64 (0.183-1) ...
Setting up libxml2:amd64 (2.9.10+dfsg-6.7+deb11u4) ...
Setting up libfile-stripnondeterminism-perl (1.12.0-1) ...
Setting up gettext (0.21-4) ...
Setting up libtool (2.4.6-15) ...
Setting up m4 (1.4.18-5) ...
Setting up intltool-debian (0.35.0+20060710.5) ...
Setting up autoconf (2.69-14) ...
Setting up dh-strip-nondeterminism (1.12.0-1) ...
Setting up dwz (0.13+20210201-1) ...
Setting up groff-base (1.22.4-6) ...
Setting up automake (1:1.16.3-2) ...
update-alternatives: using /usr/bin/automake-1.16 to provide /usr/bin/automake (automake) in auto mode
update-alternatives: warning: skip creation of /usr/share/man/man1/automake.1.gz because associated file /usr/share/man/man1/automake-1.16.1.gz (of link group automake) doesn't exist
update-alternatives: warning: skip creation of /usr/share/man/man1/aclocal.1.gz because associated file /usr/share/man/man1/aclocal-1.16.1.gz (of link group automake) doesn't exist
Setting up po-debconf (1.0.21+nmu1) ...
Setting up man-db (2.9.4-2) ...
Building database of manual pages ...
Setting up dh-autoreconf (20) ...
Setting up debhelper (13.3.4) ...
Processing triggers for libc-bin (2.31-13+deb11u10) ...
+ env DEB_BUILD_OPTIONS=noautodbgsym nocheck eatmydata dpkg-buildpackage --no-sign
Use of uninitialized value $keywords_base in numeric gt (>) at /usr/bin/dpkg-buildpackage line 752.
dpkg-buildpackage: info: source package libcap2
dpkg-buildpackage: info: source version 1:2.44-1
dpkg-buildpackage: info: source distribution unstable
dpkg-buildpackage: info: source changed by Christian Kastner <ckk@debian.org>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
dh clean
   dh_auto_clean
	make -j2 distclean
make[1]: Entering directory '/build/libcap2/libcap2-2.44'
rm -f *~ core
make -C libcap clean
make[2]: Entering directory '/build/libcap2/libcap2-2.44/libcap'
rm -f *~ core
rm -f cap_alloc.o cap_proc.o cap_extint.o cap_flag.o cap_text.o cap_file.o libcap.so* libcap.a libcap.pc libpsx.pc
rm -f ../psx/psx.o libpsx.a
rm -f cap_names.h cap_names.list.h _makenames _caps_output.gperf cap_test
cd include/sys && rm -f *~ core
make[2]: Leaving directory '/build/libcap2/libcap2-2.44/libcap'
make -C pam_cap clean
make[2]: Entering directory '/build/libcap2/libcap2-2.44/pam_cap'
rm -f *.o *.so testlink test_pam_cap *~
make[2]: Leaving directory '/build/libcap2/libcap2-2.44/pam_cap'
make -C tests clean
make[2]: Entering directory '/build/libcap2/libcap2-2.44/tests'
rm -f psx_test libcap_psx_test libcap_launch_test *~
rm -f libcap_launch_test libcap_psx_launch_test core noop
make[2]: Leaving directory '/build/libcap2/libcap2-2.44/tests'
make -C progs clean
make[2]: Entering directory '/build/libcap2/libcap2-2.44/progs'
rm -f *~ core
rm -f *.o getpcaps capsh getcap setcap tcapsh* privileged ping hack.sh compare-cap
make[2]: Leaving directory '/build/libcap2/libcap2-2.44/progs'
make -C doc clean
make[2]: Entering directory '/build/libcap2/libcap2-2.44/doc'
rm -f *~ core
rm -rf html
make[2]: Leaving directory '/build/libcap2/libcap2-2.44/doc'
make -C kdebug clean
make[2]: Entering directory '/build/libcap2/libcap2-2.44/kdebug'
rm -f *~ core
rm -f fs.conf initramfs.img
make[2]: Leaving directory '/build/libcap2/libcap2-2.44/kdebug'
CONFIRM Go package cap has right version dependency on cap/psx:
for x in $(find . -name go.mod); do grep -F -v "module" $x | fgrep "kernel.org/pub/linux/libs/security/libcap" > /dev/null || continue ; grep -F "v0.2.44" $x  > /dev/null && continue ; echo "$x is not updated to v0.2.44" ; exit 1 ; done
ALL go.mod files updated
Now validate that everything is checked in to a clean tree..
test -z "$(git status -s)"
fatal: not a git repository (or any of the parent directories): .git
All good!
make[1]: Leaving directory '/build/libcap2/libcap2-2.44'
   dh_clean
 dpkg-source -b .
dpkg-source: warning: upstream signing key but no upstream tarball signature
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building libcap2 using existing ./libcap2_2.44.orig.tar.xz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: building libcap2 in libcap2_2.44-1.debian.tar.xz
dpkg-source: info: building libcap2 in libcap2_2.44-1.dsc
 debian/rules binary
dh binary
   dh_update_autotools_config
   dh_autoreconf
   dh_auto_configure
   debian/rules override_dh_auto_build
make[1]: Entering directory '/build/libcap2/libcap2-2.44'
dh_auto_build -- CC=cc BUILD_CC=cc 
	make -j2 "INSTALL=install --strip-program=true" CC=cc BUILD_CC=cc
make[2]: Entering directory '/build/libcap2/libcap2-2.44'
make -C libcap all
make[3]: Entering directory '/build/libcap2/libcap2-2.44/libcap'
=> making cap_names.list.h from /build/libcap2/libcap2-2.44/libcap/../libcap/include/uapi/linux/capability.h
perl -e 'while ($l=<>) { if ($l =~ /^\#define[ \t](CAP[_A-Z]+)[ \t]+([0-9]+)\s+$/) { $tok=$1; $val=$2; $tok =~ tr/A-Z/a-z/; print "{\"$tok\",$val},\n"; } }' /build/libcap2/libcap2-2.44/libcap/../libcap/include/uapi/linux/capability.h | fgrep -v 0x > cap_names.list.h
sed -e 's,@prefix@,/usr,' \
	-e 's,@exec_prefix@,,' \
	-e 's,@libdir@,/lib64,' \
	-e 's,@includedir@,/usr/include,' \
	-e 's,@VERSION@,2.44,' \
	-e 's,@deps@,,' \
	libcap.pc.in >libcap.pc
sed -e 's,@prefix@,/usr,' \
	-e 's,@exec_prefix@,,' \
	-e 's,@libdir@,/lib64,' \
	-e 's,@includedir@,/usr/include,' \
	-e 's,@VERSION@,2.44,' \
	-e 's,@deps@,,' \
	libpsx.pc.in >libpsx.pc
cc -O2 -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -fPIC -I/build/libcap2/libcap2-2.44/libcap/../libcap/include/uapi -I/build/libcap2/libcap2-2.44/libcap/../libcap/include -Wl,-z,relro -Wl,-z,now -Wdate-time -D_FORTIFY_SOURCE=2 _makenames.c -o _makenames
perl -e 'print "struct __cap_token_s { const char *name; int index; };\n%{\n#include <stdlib.h>\nstatic const struct __cap_token_s *__cap_lookup_name(const char *, size_t);\n%}\n%%\n"; while ($l = <>) { $l =~ s/[\{\"]//g; $l =~ s/\}.*// ; print $l; }' < cap_names.list.h | gperf --ignore-case --language=ANSI-C --readonly --null-strings --global-table --hash-function-name=__cap_hash_name --lookup-function-name="__cap_lookup_name" -c -t -m20 | indent -kr > _caps_output.gperf
sed -e 's/unsigned int len/size_t len/' -i _caps_output.gperf
./_makenames > cap_names.h
cc -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -I/build/libcap2/libcap2-2.44/libcap/../libcap/include/uapi -I/build/libcap2/libcap2-2.44/libcap/../libcap/include -c cap_alloc.c -o cap_alloc.o
cc -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -I/build/libcap2/libcap2-2.44/libcap/../libcap/include/uapi -I/build/libcap2/libcap2-2.44/libcap/../libcap/include -c cap_proc.c -o cap_proc.o
cc -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -I/build/libcap2/libcap2-2.44/libcap/../libcap/include/uapi -I/build/libcap2/libcap2-2.44/libcap/../libcap/include -c cap_extint.c -o cap_extint.o
cc -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -I/build/libcap2/libcap2-2.44/libcap/../libcap/include/uapi -I/build/libcap2/libcap2-2.44/libcap/../libcap/include -c cap_flag.c -o cap_flag.o
cc -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -I/build/libcap2/libcap2-2.44/libcap/../libcap/include/uapi -I/build/libcap2/libcap2-2.44/libcap/../libcap/include -DINCLUDE_GPERF_OUTPUT='"_caps_output.gperf"' -c cap_text.c -o cap_text.o
cc -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -I/build/libcap2/libcap2-2.44/libcap/../libcap/include/uapi -I/build/libcap2/libcap2-2.44/libcap/../libcap/include -c cap_file.c -o cap_file.o
cap_text.c: In function 'cap_to_name':
cap_text.c:318:2: warning: ignoring return value of 'asprintf' declared with attribute 'warn_unused_result' [-Wunused-result]
  318 |  asprintf(&tmp, "%u", cap);
      |  ^~~~~~~~~~~~~~~~~~~~~~~~~
cc -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -I/build/libcap2/libcap2-2.44/libcap/../libcap/include/uapi -I/build/libcap2/libcap2-2.44/libcap/../libcap/include -c ../psx/psx.c -o ../psx/psx.o
cc -Wl,-x -shared -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Wdate-time -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -L/build/libcap2/libcap2-2.44/libcap -L/build/libcap2/libcap2-2.44/libcap/../libcap -Wl,-soname,libcap.so.2 -o libcap.so.2.44 cap_alloc.o cap_proc.o cap_extint.o cap_flag.o cap_text.o cap_file.o
ar rcs libcap.a cap_alloc.o cap_proc.o cap_extint.o cap_flag.o cap_text.o cap_file.o
ranlib libcap.a
ar rcs libpsx.a ../psx/psx.o
ranlib libpsx.a
ln -sf libcap.so.2.44 libcap.so.2
ln -sf libcap.so.2 libcap.so
make[3]: Leaving directory '/build/libcap2/libcap2-2.44/libcap'
make -C pam_cap all
make[3]: Entering directory '/build/libcap2/libcap2-2.44/pam_cap'
cc -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -I/build/libcap2/libcap2-2.44/pam_cap/../libcap/include/uapi -I/build/libcap2/libcap2-2.44/pam_cap/../libcap/include -c pam_cap.c -o pam_cap.o
cc -Wl,-x -shared -o pam_cap.so pam_cap.o -L/build/libcap2/libcap2-2.44/pam_cap/../libcap -lcap -Wl,-z,relro -Wl,-z,now -L/build/libcap2/libcap2-2.44/libcap -L/build/libcap2/libcap2-2.44/pam_cap/../libcap -lpam
make testlink
make[4]: Entering directory '/build/libcap2/libcap2-2.44/pam_cap'
cc -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g -o testlink test.c pam_cap.o -lpam -ldl -L/build/libcap2/libcap2-2.44/pam_cap/../libcap -lcap -Wl,-z,relro -Wl,-z,now -L/build/libcap2/libcap2-2.44/libcap -L/build/libcap2/libcap2-2.44/pam_cap/../libcap -L/build/libcap2/libcap2-2.44/pam_cap/../libcap
make[4]: Leaving directory '/build/libcap2/libcap2-2.44/pam_cap'
make[3]: Leaving directory '/build/libcap2/libcap2-2.44/pam_cap'
make -C tests all
make[3]: Entering directory '/build/libcap2/libcap2-2.44/tests'
cc -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -fPIC -I/build/libcap2/libcap2-2.44/tests/../libcap/include/uapi -I/build/libcap2/libcap2-2.44/tests/../libcap/include psx_test.c -o psx_test -L/build/libcap2/libcap2-2.44/tests/../libcap -lpsx -lpthread -Wl,-wrap,pthread_create
cc -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -fPIC -I/build/libcap2/libcap2-2.44/tests/../libcap/include/uapi -I/build/libcap2/libcap2-2.44/tests/../libcap/include libcap_psx_test.c -o libcap_psx_test -L/build/libcap2/libcap2-2.44/tests/../libcap -lcap -L/build/libcap2/libcap2-2.44/tests/../libcap -lpsx -lpthread -Wl,-wrap,pthread_create -Wl,-z,relro -Wl,-z,now -L/build/libcap2/libcap2-2.44/libcap -L/build/libcap2/libcap2-2.44/tests/../libcap
cc -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -fPIC -I/build/libcap2/libcap2-2.44/tests/../libcap/include/uapi -I/build/libcap2/libcap2-2.44/tests/../libcap/include libcap_launch_test.c -o libcap_launch_test -L/build/libcap2/libcap2-2.44/tests/../libcap -lcap -Wl,-z,relro -Wl,-z,now -L/build/libcap2/libcap2-2.44/libcap -L/build/libcap2/libcap2-2.44/tests/../libcap
make[3]: Leaving directory '/build/libcap2/libcap2-2.44/tests'
make -C progs all
make[3]: Entering directory '/build/libcap2/libcap2-2.44/progs'
cc -fPIC -I/build/libcap2/libcap2-2.44/progs/../libcap/include/uapi -I/build/libcap2/libcap2-2.44/progs/../libcap/include  -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Wdate-time -D_FORTIFY_SOURCE=2 -c getpcaps.c -o getpcaps.o
cc -fPIC -I/build/libcap2/libcap2-2.44/progs/../libcap/include/uapi -I/build/libcap2/libcap2-2.44/progs/../libcap/include  -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Wdate-time -D_FORTIFY_SOURCE=2 -c capsh.c -o capsh.o
cc -fPIC -I/build/libcap2/libcap2-2.44/progs/../libcap/include/uapi -I/build/libcap2/libcap2-2.44/progs/../libcap/include  -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Wdate-time -D_FORTIFY_SOURCE=2 -c getcap.c -o getcap.o
cc -fPIC -I/build/libcap2/libcap2-2.44/progs/../libcap/include/uapi -I/build/libcap2/libcap2-2.44/progs/../libcap/include  -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Wdate-time -D_FORTIFY_SOURCE=2 -c setcap.c -o setcap.o
cc -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Wdate-time -D_FORTIFY_SOURCE=2 -o getpcaps getpcaps.o -L/build/libcap2/libcap2-2.44/progs/../libcap -lcap -Wl,-z,relro -Wl,-z,now -L/build/libcap2/libcap2-2.44/libcap -L/build/libcap2/libcap2-2.44/progs/../libcap
cc -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Wdate-time -D_FORTIFY_SOURCE=2 -o getcap getcap.o -L/build/libcap2/libcap2-2.44/progs/../libcap -lcap -Wl,-z,relro -Wl,-z,now -L/build/libcap2/libcap2-2.44/libcap -L/build/libcap2/libcap2-2.44/progs/../libcap
cc -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Wdate-time -D_FORTIFY_SOURCE=2 -o setcap setcap.o -L/build/libcap2/libcap2-2.44/progs/../libcap -lcap -Wl,-z,relro -Wl,-z,now -L/build/libcap2/libcap2-2.44/libcap -L/build/libcap2/libcap2-2.44/progs/../libcap
cc -g -O2 -ffile-prefix-map=/build/libcap2/libcap2-2.44=. -fstack-protector-strong -Wformat -Werror=format-security -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Dlinux -Wall -Wwrite-strings -Wpointer-arith -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wshadow -g  -Wdate-time -D_FORTIFY_SOURCE=2 -o capsh capsh.o -L/build/libcap2/libcap2-2.44/progs/../libcap -lcap -Wl,-z,relro -Wl,-z,now -L/build/libcap2/libcap2-2.44/libcap -L/build/libcap2/libcap2-2.44/progs/../libcap
make[3]: Leaving directory '/build/libcap2/libcap2-2.44/progs'
make -C doc all
make[3]: Entering directory '/build/libcap2/libcap2-2.44/doc'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/build/libcap2/libcap2-2.44/doc'
make -C kdebug all
make[3]: Entering directory '/build/libcap2/libcap2-2.44/kdebug'
cd to kdebug to test a kernel build
make[3]: Leaving directory '/build/libcap2/libcap2-2.44/kdebug'
make[2]: Leaving directory '/build/libcap2/libcap2-2.44'
make[1]: Leaving directory '/build/libcap2/libcap2-2.44'
   create-stamp debian/debhelper-build-stamp
   dh_testroot
   dh_prep
   debian/rules override_dh_installdirs
make[1]: Entering directory '/build/libcap2/libcap2-2.44'
dh_installdirs
# While the PAM module and the library are in /lib, according to the
# FHS, development files must go into usr/lib/<triplet>.
mkdir -p debian/tmp/usr/lib/x86_64-linux-gnu
make[1]: Leaving directory '/build/libcap2/libcap2-2.44'
   debian/rules override_dh_auto_install
make[1]: Entering directory '/build/libcap2/libcap2-2.44'
dh_auto_install -- \
	lib=lib/x86_64-linux-gnu \
	PKGCONFIGDIR=/usr/lib/x86_64-linux-gnu/pkgconfig \
	RAISE_SETFCAP=no
	make -j2 install DESTDIR=/build/libcap2/libcap2-2.44/debian/tmp AM_UPDATE_INFO_DIR=no "INSTALL=install --strip-program=true" lib=lib/x86_64-linux-gnu PKGCONFIGDIR=/usr/lib/x86_64-linux-gnu/pkgconfig RAISE_SETFCAP=no
make[2]: Entering directory '/build/libcap2/libcap2-2.44'
make -C libcap install
make[3]: Entering directory '/build/libcap2/libcap2-2.44/libcap'
mkdir -p -m 0755 /build/libcap2/libcap2-2.44/debian/tmp/usr/include/sys
mkdir -p -m 0755 /build/libcap2/libcap2-2.44/debian/tmp/usr/lib/x86_64-linux-gnu/pkgconfig
mkdir -p -m 0755 /build/libcap2/libcap2-2.44/debian/tmp/lib/x86_64-linux-gnu
install -m 0644 include/sys/capability.h /build/libcap2/libcap2-2.44/debian/tmp/usr/include/sys
install -m 0644 include/sys/psx_syscall.h /build/libcap2/libcap2-2.44/debian/tmp/usr/include/sys
install -m 0644 libcap.pc /build/libcap2/libcap2-2.44/debian/tmp/usr/lib/x86_64-linux-gnu/pkgconfig/libcap.pc
install -m 0644 libpsx.pc /build/libcap2/libcap2-2.44/debian/tmp/usr/lib/x86_64-linux-gnu/pkgconfig/libpsx.pc
install -m 0644 libcap.a /build/libcap2/libcap2-2.44/debian/tmp/lib/x86_64-linux-gnu/libcap.a
install -m 0644 libcap.so.2.44 /build/libcap2/libcap2-2.44/debian/tmp/lib/x86_64-linux-gnu/libcap.so.2.44
install -m 0644 libpsx.a /build/libcap2/libcap2-2.44/debian/tmp/lib/x86_64-linux-gnu/libpsx.a
ln -sf libcap.so.2.44 /build/libcap2/libcap2-2.44/debian/tmp/lib/x86_64-linux-gnu/libcap.so.2
ln -sf libcap.so.2 /build/libcap2/libcap2-2.44/debian/tmp/lib/x86_64-linux-gnu/libcap.so
make[3]: Leaving directory '/build/libcap2/libcap2-2.44/libcap'
make -C pam_cap install
make[3]: Entering directory '/build/libcap2/libcap2-2.44/pam_cap'
make testlink
make[4]: Entering directory '/build/libcap2/libcap2-2.44/pam_cap'
make[4]: 'testlink' is up to date.
make[4]: Leaving directory '/build/libcap2/libcap2-2.44/pam_cap'
mkdir -p -m 0755 /build/libcap2/libcap2-2.44/debian/tmp/lib/x86_64-linux-gnu/security
install -m 0755 pam_cap.so /build/libcap2/libcap2-2.44/debian/tmp/lib/x86_64-linux-gnu/security
make[3]: Leaving directory '/build/libcap2/libcap2-2.44/pam_cap'
make -C tests install
make[3]: Entering directory '/build/libcap2/libcap2-2.44/tests'
make[3]: Nothing to be done for 'install'.
make[3]: Leaving directory '/build/libcap2/libcap2-2.44/tests'
make -C progs install
make[3]: Entering directory '/build/libcap2/libcap2-2.44/progs'
mkdir -p -m 0755 /build/libcap2/libcap2-2.44/debian/tmp/sbin
for p in getpcaps capsh getcap setcap ; do \
	install -m 0755 $p /build/libcap2/libcap2-2.44/debian/tmp/sbin ; \
done
make[3]: Leaving directory '/build/libcap2/libcap2-2.44/progs'
make -C doc install
make[3]: Entering directory '/build/libcap2/libcap2-2.44/doc'
mkdir -p -m 755 /build/libcap2/libcap2-2.44/debian/tmp/usr/share/man/man1 /build/libcap2/libcap2-2.44/debian/tmp/usr/share/man/man3 /build/libcap2/libcap2-2.44/debian/tmp/usr/share/man/man8
for man in \
	/build/libcap2/libcap2-2.44/debian/tmp/usr/share/man/man1 capsh.1 \
	/build/libcap2/libcap2-2.44/debian/tmp/usr/share/man/man3 cap_init.3 cap_free.3 cap_dup.3 cap_clear.3 cap_clear_flag.3 cap_get_flag.3 cap_set_flag.3 cap_compare.3 cap_get_proc.3 cap_get_pid.3 cap_set_proc.3 cap_get_file.3 cap_get_fd.3 cap_set_file.3 cap_set_fd.3 cap_copy_ext.3 cap_size.3 cap_copy_int.3 cap_from_text.3 cap_to_text.3 cap_from_name.3 cap_to_name.3 capsetp.3 capgetp.3 libcap.3 cap_get_bound.3 cap_drop_bound.3 cap_get_mode.3 cap_set_mode.3 cap_mode_name.3 cap_get_secbits.3 cap_set_secbits.3 cap_setuid.3 cap_setgroups.3 psx_syscall.3 psx_syscall3.3 psx_syscall6.3 libpsx.3 \
	/build/libcap2/libcap2-2.44/debian/tmp/usr/share/man/man8 getcap.8 setcap.8 getpcaps.8 \
	; \
do \
	case $man in \
	/*)	sub=$man ; continue ;; \
	esac; \
	install -m 644 $man $sub ; \
done
make[3]: Leaving directory '/build/libcap2/libcap2-2.44/doc'
make -C kdebug install
make[3]: Entering directory '/build/libcap2/libcap2-2.44/kdebug'
make[3]: Nothing to be done for 'install'.
make[3]: Leaving directory '/build/libcap2/libcap2-2.44/kdebug'
make[2]: Leaving directory '/build/libcap2/libcap2-2.44'
# libcap-dev:
#   Move the development files from lib/ to usr/lib. dh_link will
#   later correct the link for us (from relative to absolute).
cd debian/tmp/usr/lib/x86_64-linux-gnu && \
	mv    ../../../lib/x86_64-linux-gnu/*.a . && \
	ln -s ../../../lib/x86_64-linux-gnu/libcap.so.*.* libcap.so
sed -i -e 's#^libdir=.*#libdir=/usr/lib/x86_64-linux-gnu#' \
	debian/tmp/usr/lib/x86_64-linux-gnu/pkgconfig/libcap.pc
# Remove unwanted/unused files (because of --fail-missing)
rm -f debian/tmp/lib/x86_64-linux-gnu/*.so
make[1]: Leaving directory '/build/libcap2/libcap2-2.44'
   dh_install
   dh_installdocs
   dh_installchangelogs
   dh_installman
   dh_lintian
   dh_perl
   dh_link
   dh_strip_nondeterminism
   dh_compress
   dh_fixperms
   debian/rules override_dh_missing
make[1]: Entering directory '/build/libcap2/libcap2-2.44'
dh_missing --fail-missing
make[1]: Leaving directory '/build/libcap2/libcap2-2.44'
   dh_dwz
   dh_strip
   debian/rules override_dh_makeshlibs
make[1]: Entering directory '/build/libcap2/libcap2-2.44'
dh_makeshlibs -V'libcap2 (>= 1:2.33)' -plibcap2 \
	--add-udeb=libcap2-udeb -- -c4
dh_makeshlibs --remaining-packages -- -c4
make[1]: Leaving directory '/build/libcap2/libcap2-2.44'
   dh_shlibdeps
   dh_installdeb
   dh_gencontrol
dpkg-gencontrol: warning: Depends field of package libcap-dev: substitution variable ${shlibs:Depends} used, but is not defined
   dh_md5sums
   dh_builddeb
dpkg-deb: building package 'libcap2-bin' in '../libcap2-bin_2.44-1_amd64.deb'.
dpkg-deb: building package 'libpam-cap' in '../libpam-cap_2.44-1_amd64.deb'.
dpkg-deb: building package 'libcap2-udeb' in 'debian/.debhelper/scratch-space/build-libcap2-udeb/libcap2-udeb_2.44-1_amd64.deb'.
dpkg-deb: building package 'libcap2' in '../libcap2_2.44-1_amd64.deb'.
	Renaming libcap2-udeb_2.44-1_amd64.deb to libcap2-udeb_2.44-1_amd64.udeb
dpkg-deb: building package 'libcap-dev' in '../libcap-dev_2.44-1_amd64.deb'.
 dpkg-genbuildinfo
 dpkg-genchanges  >../libcap2_2.44-1_amd64.changes
dpkg-genchanges: info: including full source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: full upload (original source is included)
+ date
Mon Jul  8 23:40:35 UTC 2024
+ cd ..
+ ls libcap-dev_2.44-1_amd64.deb+ sed libcap2-bin_2.44-1_amd64.deb libcap2_2.44-1_amd64.deb libpam-cap_2.44-1_amd64.deb
 -e s,_.*,,
+ apt-cache show libcap-dev=1:2.44-1
+ sed -e s,^Version: ,,
+ grep ^Version: 
+ binver=1:2.44-1
+ binnmuver=1:2.44-1
+ sed s,^[0-9]\+:,,
+ echo 1:2.44-1
+ binnmuver=2.44-1
+ echo 1:2.44-1
+ sed s,^[0-9]\+:,,
+ srcver=2.44-1
+ test -f libcap-dev_2.44-1_amd64.deb
+ apt-cache show libcap-dev=2.44-1
+ sed -z s,.*Filename: .*/\(.*\)SHA256: \([0-9a-f]\{64\}\).*,\2  \1,g
+ grep -e ^Filename:  -e ^SHA256: 
E: Version '2.44-1' for 'libcap-dev' was not found
E: No packages found
+ apt-cache show libcap2-bin=1:2.44-1
+ sed -e s,^Version: ,,
+ grep ^Version: 
+ binver=1:2.44-1
+ binnmuver=1:2.44-1
+ echo 1:2.44-1
+ sed s,^[0-9]\+:,,
+ binnmuver=2.44-1
+ echo 1:2.44-1
+ sed s,^[0-9]\+:,,
+ srcver=2.44-1
+ test -f libcap2-bin_2.44-1_amd64.deb
+ apt-cache show libcap2-bin=2.44-1
+ sed -z s,.*Filename: .*/\(.*\)SHA256: \([0-9a-f]\{64\}\).*,\2  \1,g
+ grep -e ^Filename:  -e ^SHA256: 
E: Version '2.44-1' for 'libcap2-bin' was not found
E: No packages found
+ apt-cache show libcap2=1:2.44-1
+ sed -e s,^Version: ,,
+ grep ^Version: 
+ binver=1:2.44-1
+ binnmuver=1:2.44-1
+ echo 1:2.44-1
+ sed s,^[0-9]\+:,,
+ binnmuver=2.44-1
+ echo 1:2.44-1
+ sed s,^[0-9]\+:,,
+ srcver=2.44-1
+ test -f libcap2_2.44-1_amd64.deb
+ apt-cache show libcap2=2.44-1
+ sed -z s,.*Filename: .*/\(.*\)SHA256: \([0-9a-f]\{64\}\).*,\2  \1,g
+ grep -e ^Filename:  -e ^SHA256: 
E: Version '2.44-1' for 'libcap2' was not found
E: No packages found
+ apt-cache show libpam-cap=1:2.44-1
+ sed -e s,^Version: ,,
+ grep ^Version: 
+ binver=1:2.44-1
+ binnmuver=1:2.44-1
+ echo 1:2.44-1
+ sed s,^[0-9]\+:,,
+ binnmuver=2.44-1
+ + sed s,^[0-9]\+:,,
echo 1:2.44-1
+ srcver=2.44-1
+ test -f libpam-cap_2.44-1_amd64.deb
+ apt-cache show libpam-cap=2.44-1
+ sed -z s,.*Filename: .*/\(.*\)SHA256: \([0-9a-f]\{64\}\).*,\2  \1,g
+ grep -e ^Filename:  -e ^SHA256: 
E: Version '2.44-1' for 'libpam-cap' was not found
E: No packages found
+ ls -la
total 312
drwxr-xr-x  3 root root   4096 Jul  8 23:40 .
drwxr-xr-x  3 root root   4096 Jul  8 23:40 ..
-rw-r--r--  1 root root      0 Jul  8 23:40 SHA256SUMS
-rw-r--r--  1 root root  45252 Jul  8 23:40 libcap-dev_2.44-1_amd64.deb
drwxr-xr-x 15 root root   4096 Jul  8 23:40 libcap2-2.44
-rw-r--r--  1 root root  32608 Jul  8 23:40 libcap2-bin_2.44-1_amd64.deb
-rw-r--r--  1 root root  13144 Jul  8 23:40 libcap2-udeb_2.44-1_amd64.udeb
-rw-r--r--  1 root root  21100 Jul  8 23:40 libcap2_2.44-1.debian.tar.xz
-rw-r--r--  1 root root   1296 Jul  8 23:40 libcap2_2.44-1.dsc
-rw-r--r--  1 root root   6212 Jul  8 23:40 libcap2_2.44-1_amd64.buildinfo
-rw-r--r--  1 root root   3115 Jul  8 23:40 libcap2_2.44-1_amd64.changes
-rw-r--r--  1 root root  23576 Jul  8 23:40 libcap2_2.44-1_amd64.deb
-rw-r--r--  1 root root 125568 Oct 14  2020 libcap2_2.44.orig.tar.xz
-rw-r--r--  1 root root  15360 Jul  8 23:40 libpam-cap_2.44-1_amd64.deb
+ find . -maxdepth 1 -type f
+ sha256sum ./libcap2_2.44-1_amd64.deb ./libcap-dev_2.44-1_amd64.deb ./libcap2-udeb_2.44-1_amd64.udeb ./libcap2_2.44-1_amd64.buildinfo ./libcap2_2.44-1_amd64.changes ./libcap2_2.44.orig.tar.xz ./libcap2-bin_2.44-1_amd64.deb ./libpam-cap_2.44-1_amd64.deb ./libcap2_2.44-1.debian.tar.xz ./libcap2_2.44-1.dsc ./SHA256SUMS
2fb60821c648a8c2678aab9dc503c23afe27f1599cf9f413cc941d9e9636509a  ./libcap2_2.44-1_amd64.deb
5638ef4fc53c4f317dc11bc768b6d60e23191c8b3b7a3aba8e339aa559ffe6c3  ./libcap-dev_2.44-1_amd64.deb
79e345118c7eba51af59afd6f5fb24f4a8d7f0bf3390954909c4830ff8641de4  ./libcap2-udeb_2.44-1_amd64.udeb
ac5acca3abf117399b9ae6e70249f4074d54df817ccfd52694bfe9d26c340744  ./libcap2_2.44-1_amd64.buildinfo
04daff9f2fb7c874c42f375565e26b126781f6335cea74a2d93b09b3c1911763  ./libcap2_2.44-1_amd64.changes
92188359cd5be86e8e5bd3f6483ac6ce582264f912398937ef763def2205c8e1  ./libcap2_2.44.orig.tar.xz
fb886b7a4153eaee65b7d87c20f1f24c1035b76523eb9a9a4127048d44ea3eb1  ./libcap2-bin_2.44-1_amd64.deb
bea362ce7cd0b0d946551def1fdf52a96ea542d797c89b85409a5c2c988ee0af  ./libpam-cap_2.44-1_amd64.deb
c398807f250e7460b8c218db0bba26bac1e3a5f11dfa0b83af942a121af32fdf  ./libcap2_2.44-1.debian.tar.xz
d143a1262b26f69f97473ed8335c164b8da9ec642ef5cc2a7fd1416bb956f3bc  ./libcap2_2.44-1.dsc
e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855  ./SHA256SUMS
+ tail -v -n+0 SHA256SUMS
==> SHA256SUMS <==
+ sha256sum -c SHA256SUMS
sha256sum: SHA256SUMS: no properly formatted SHA256 checksum lines found
